For the complete documentation index, see llms.txt. This page is also available as Markdown.

Edit and Send the Draft

Taslak belgeyi düzenleyerek gönderir.

post

Taslak olarak oluşturduğunuz belgeyi düzenleyerek göndermek için bu ucu kullanabilirsiniz.

Authorizations
HTTPRequired

API anahtar� giriniz

Body
Responses
200

Taslak belgeyi düzenleyerek gönderir.

application/json
UUIDstring · uuidOptional
BillNumberstring · nullableOptional
post/Draft/EditAndSend
POST /ebill/Draft/EditAndSend HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json-patch+json
Accept: */*
Content-Length: 1388

{
  "Bill": {
    "BillInfo": {
      "UUID": "123e4567-e89b-12d3-a456-426614174000",
      "TemplateUUID": "123e4567-e89b-12d3-a456-426614174000",
      "TemplateBase64String": "text",
      "BillSerieOrNumber": "text",
      "IssueDate": "2026-01-01T00:00:00.000Z",
      "CurrencyCode": "text",
      "ExchangeRate": 1,
      "RelatedDocument": {
        "Type": "EFATURA",
        "Code": "text"
      },
      "ValidityPeriod": {
        "StartDate": "2026-01-01T00:00:00.000Z",
        "EndDate": "2026-01-01T00:00:00.000Z"
      }
    },
    "CompanyInfo": {
      "TaxNumber": "text",
      "Name": "text",
      "TaxOffice": "text",
      "PartyIdentifications": [
        {
          "SchemeID": "text",
          "Value": "text"
        }
      ],
      "AgentPartyIdentifications": [
        {
          "SchemeID": "text",
          "Value": "text"
        }
      ],
      "Address": "text",
      "District": "text",
      "City": "text",
      "Country": "text",
      "PostalCode": "text",
      "Phone": "text",
      "Fax": "text",
      "Mail": "text",
      "WebSite": "text"
    },
    "CustomerInfo": {
      "TaxNumber": "text",
      "Name": "text",
      "TaxOffice": "text",
      "PartyIdentifications": [
        {
          "SchemeID": "text",
          "Value": "text"
        }
      ],
      "AgentPartyIdentifications": [
        {
          "SchemeID": "text",
          "Value": "text"
        }
      ],
      "Address": "text",
      "District": "text",
      "City": "text",
      "Country": "text",
      "PostalCode": "text",
      "Phone": "text",
      "Fax": "text",
      "Mail": "text",
      "WebSite": "text"
    },
    "SellerInfo": {
      "User": "text",
      "TableNo": "text",
      "Address": "text",
      "District": "text",
      "City": "text",
      "Country": "text",
      "PostalCode": "text",
      "Phone": "text",
      "Fax": "text",
      "Mail": "text",
      "WebSite": "text"
    },
    "BillLines": [
      {
        "Name": "text",
        "Quantity": 1,
        "UnitType": "text",
        "Price": 1,
        "KDVPercent": 1,
        "KDVTotal": 1
      }
    ],
    "Notes": [
      "text"
    ]
  }
}
{
  "UUID": "123e4567-e89b-12d3-a456-426614174000",
  "BillNumber": "text"
}
var options = new RestClientOptions("https://apitest.nilvera.com")
{
  MaxTimeout = -1,
};
var client = new RestClient(options);
var request = new RestRequest("/ebill/Draft/EditAndSend", Method.Post);
request.AddHeader("Authorization", "Bearer <API KEY>");
request.AddHeader("Content-Type", "application/json");
var body = @"{
  "Bill": {
    "BillInfo": {
      "UUID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "TemplateUUID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "TemplateBase64String": "string",
      "BillSerieOrNumber": "string",
      "IssueDate": "2023-03-21T14:05:05.448Z",
      "CurrencyCode": "string",
      "ExchangeRate": 0,
      "RelatedDocument": {
        "Type": "EFATURA",
        "Code": "string"
      },
      "ValidityPeriod": {
        "StartDate": "2023-03-21T14:05:05.448Z",
        "EndDate": "2023-03-21T14:05:05.448Z"
      }
    },
    "CompanyInfo": {
      "TaxNumber": "string",
      "Name": "string",
      "TaxOffice": "string",
      "PartyIdentifications": [
        {
          "SchemeID": "string",
          "Value": "string"
        }
      ],
      "AgentPartyIdentifications": [
        {
          "SchemeID": "string",
          "Value": "string"
        }
      ],
      "Address": "string",
      "District": "string",
      "City": "string",
      "Country": "string",
      "PostalCode": "string",
      "Phone": "string",
      "Fax": "string",
      "Mail": "string",
      "WebSite": "string"
    },
    "CustomerInfo": {
      "TaxNumber": "string",
      "Name": "string",
      "TaxOffice": "string",
      "PartyIdentifications": [
        {
          "SchemeID": "string",
          "Value": "string"
        }
      ],
      "AgentPartyIdentifications": [
        {
          "SchemeID": "string",
          "Value": "string"
        }
      ],
      "Address": "string",
      "District": "string",
      "City": "string",
      "Country": "string",
      "PostalCode": "string",
      "Phone": "string",
      "Fax": "string",
      "Mail": "string",
      "WebSite": "string"
    },
    "SellerInfo": {
      "User": "string",
      "TableNo": "string",
      "Address": "string",
      "District": "string",
      "City": "string",
      "Country": "string",
      "PostalCode": "string",
      "Phone": "string",
      "Fax": "string",
      "Mail": "string",
      "WebSite": "string"
    },
    "BillLines": [
      {
        "Name": "string",
        "Quantity": 0,
        "UnitType": "string",
        "Price": 0,
        "KDVPercent": 0,
        "KDVTotal": 0
      }
    ],
    "Notes": [
      "string"
    ]
  }
}";
request.AddStringBody(body, DataFormat.Json);
RestResponse response = await client.ExecuteAsync(request);
Console.WriteLine(response.Content);

Last updated